# Class FaceMatch

#### Hierarchy

- FaceMatch

#### Implements

- IFaceMatch

- Defined in classes/FaceMatch.ts:8

#####
Index

### Constructors

constructor

### Accessors

distance
label

### Methods

toString

## Constructors

### constructor

- new FaceMatch(label: string, distance: number): FaceMatch

- #### Parameters

  - ##### label: string

  - ##### distance: number

  #### Returns FaceMatch

  - Defined in classes/FaceMatch.ts:12

## Accessors

### distance

- get distance(): number

- #### Returns number

  Implementation of IFaceMatch.distance

  - Defined in classes/FaceMatch.ts:19

### label

- get label(): string

- #### Returns string

  Implementation of IFaceMatch.label

  - Defined in classes/FaceMatch.ts:17

## Methods

### toString

- toString(withDistance?: boolean): string

- #### Parameters

  - ##### withDistance: boolean = true

  #### Returns string

  - Defined in classes/FaceMatch.ts:21